import visad.*;
import visad.java3d.DisplayImplJ3D;
import visad.java2d.DisplayImplJ2D;
import java.rmi.RemoteException;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
/*
class f2 extends f_xj
{
public double func(double x[]) 
{
//çözümü istenen fonksiyon	
double ff;
ff= 12.633333333333116-1.3999999999999564*x[0]-16.658333333333168*x[1]+3.6749999999999674*x[0]*x[1]; 
//sin(x[0])*sin(x[1])*Math.exp(-x[0]*x[0]-x[1]*x[1]);

return ff; 
}
}
*/
class f2 extends f_xj
{
public double func(double x[]) 
{
//çözümü istenen fonksiyon	
double ff;
ff=Math.pow((x[0]/(x[1]*(1.0-x[0])*(1.0-x[0]))),0.6)+
Math.pow(((1.0-x[0]/x[1])/((1-x[1])*(1-x[1]))),0.6)+
5.0*Math.pow((1.0/x[1]),0.6);
return ff; //minimum değil maxsimum istendiğinden - ile çarptık
}
}
  public class Plot3DT3
  {
  public static void main(String[] args) throws RemoteException, VisADException
  { f2 fa=new f2();
    Plot3D.plot3D_CD1(fa,0.1,0.9,0.1,0.9,100,100,40,"x","y","z=f(x,y)");
    //Plot3D.contour(fa,0.1,0.9,0.1,0.9,100,100,40,"x","y","z=f(x,y)");
    
  }
  }